// wfracDlg.h : header file

#pragma once

class CWFracDlg : public CDialog
{
public:
	CWFracDlg(CWnd* pParent = NULL);	// standard constructor

	enum { IDD = IDD_WFRAC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	virtual void OnOK();

	double m_Top;
	double m_Left;
	double m_Right;
	double m_Bottom;

	CString m_sZr;
	CString m_sZi;
	CString m_sCr;
	CString m_sCi;

	double m_Radius;
	DWORD m_MaxIter;
	double m_PotScale;

	bool m_bComputing;

	void StartComputing();
	void StopComputing();

};
